none
Error on deploying build from Visual Studio 2015(Windows 8.1 OS) to IoT Remote Device RRS feed

  • Question

  • Hi,

    I am trying to deploy my background application on remote IoT device. But during deployment my Visual Studio shows UI to renew my developer license for "Windows 8.1".

    Do I need to get the developer license for deployment of build from Windows 8.1 to remote IoT device?

    Same application was working fine few days back. When I checked the developer license expiry date, it is showing that it expired 8/23/2016. 

    Now I am not able to deploy any app on my remote IoT device and literally stuck for last 5 days.

    I even repaired my Visual studio 2015 and installed update 3 but still the same error. I deleted all my mobile emulators and reinstalled but of no use.

    My 5 days are lost due to this issue. 

    Any idea why developer license UI is showing up for IoT applications?

    Sunday, August 28, 2016 4:56 PM

All replies

  • I don't know how but now the "Renew license error" is gone while deployment on remote IoT device.

    However while deployment I am getting this error - 

    Creating a new clean layout...
    Copying files: Total 16 mb to layout...
    Checking whether required frameworks are installed...
    Framework: Microsoft.NET.CoreRuntime.1.0/ARM, app package version 1.0.23819.0 is not currently installed.
    Framework: Microsoft.VCLibs.140.00.Debug/ARM, app package version 14.0.24210.0 is not currently installed.
    Installing missing frameworks...
    DEP8000 : Unexpected deployment failure : COMException : The Appx package's manifest is invalid. (Exception from HRESULT: 0x80080204)
    DEP8000 : Unexpected deployment failure : COMException : The Appx package's manifest is invalid. (Exception from HRESULT: 0x80080204)
    Registering the application to run from layout...
    DEP8000 : Unexpected deployment failure : RemoteCommandException : Windows cannot install package TestApp1-uwp_1.0.0.0_arm__2cetrjb018jpe because this package depends on a framework that could not be found. Provide the framework "Microsoft.NET.CoreRuntime.1.0" published by "CN=Microsoft Corporation, O=Microsoft Corporation, L=Redmond, S=Washington, C=US", with neutral or ARM processor architecture and minimum version 1.0.23819.0, along with this package to install. The frameworks with name "Microsoft.NET.CoreRuntime.1.0" currently installed are: {Microsoft.NET.CoreRuntime.1.0_1.0.23430.0_arm__8wekyb3d8bbwe}


    Thanks,

    /vikas

    Monday, August 29, 2016 5:53 AM
  • I have installed Visual studio 2015 Update 3 recently. Has it caused any issue?
    What is the fix for this issue?
    I am not able to develop any new application for IoT and totally blocked.
    Tuesday, August 30, 2016 5:54 AM
  • I uninstalled windows 10 SDK and installed again. But still the same error.

    I got Azure subscription and IoT device to build application for my Raspberry Pi3 device. But nothing seems to be working and may be forcing me to move to another direction in terms of IoT device platform integration. 

    Tuesday, August 30, 2016 10:49 PM
  • I flashed my IoT with new image of Win 10, but still the same error.

    Also I uninstalled VS2015 and reinstalled it with no success.

    Please let me know if anyone has resolved this issue.

    Thursday, September 1, 2016 5:24 PM